package com.google.android.play.core.b;

import com.bytedance.covode.number.Covode;
import java.io.File;
import java.util.Set;

public final class ah implements q {
    static {
        Covode.recordClassIndex(44231);
    }

    public static void LIZIZ(ClassLoader classLoader, Set<File> set) {
        ac.LIZ(classLoader, set, new af());
    }

    public static boolean LIZIZ(ClassLoader classLoader, File file, File file2, boolean z) {
        return x.LIZ(classLoader, file, file2, z, ac.LIZ(), "path", new ag());
    }

    public final void LIZ(ClassLoader classLoader, Set<File> set) {
        LIZIZ(classLoader, set);
    }

    public final boolean LIZ(ClassLoader classLoader, File file, File file2, boolean z) {
        return LIZIZ(classLoader, file, file2, z);
    }
}
